-- Tests on values of the PersonName data type

\echo
\echo -- Running some queries --
\echo

\echo
\echo -- Count students
\echo

select count(*)
from   Students;

\echo
\echo -- Lookup on Students using id and name
\echo

select *
from   Students
where  id=3261141; -- exists: Barahona Dos Santos,Carla

select *
from   Students
where  id=3108264; -- exists: Webb-Martin,Michael Clive

select *
from   Students
where  id=3111111; -- doesn't exist

select id
from   Students
where  name = 'Toth, Agnes'::PersonName; -- exists: 3037677

select id
from   Students
where  name = 'Toth,Agnes'::PersonName; -- exists: 3037677

select id
from   Students
where  name = 'Burg,Tracy Lauren Claire Nicola Samantha'::PersonName; -- exists: 3062703

select id
from   Students
where  name = 'Misra,Olla'::PersonName; -- exists: 3079056

select id
from   Students
where  name = 'Mouse, Mickey'::PersonName; -- does not exist

\echo
\echo -- Check ordering for PersonName
\echo

select *
from   Students
order  by name
limit  10;

select *
from   Students
order  by name desc
limit  10;

\echo
\echo -- Check grouping based on name (look for repeated names)
\echo

select name, count(*)
from   Students
group  by name having count(*) > 1
order  by count(*) DESC, given(name) ASC, name ASC
limit  20;

select given(name), count(*)
from   Students
group  by given(name) having count(*) > 1
order  by count(*) DESC, given(name) DESC
limit  20;

select show(name), count(*)
from   Students
group  by family(name), show(name) having count(*) > 1
order  by count(*) ASC, family(name) ASC, show(name) DESC
limit  20;
